---
updatedAt: 2026-06-26T11:29:27.000Z
agentTools:
  projectIndex: https://developers.miro.com/llms.txt
---

# Get Service Provider Config

Retrieve supported operations and SCIM API basic configuration.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Miro SCIM API",
    "description": "SCIM V1 API. <br><br> This is the most recent version of the API where a SCIM <b>Group</b> corresponds to a Miro <b>user group</b>. Adding or removing members of a SCIM Group changes the membership of the Miro user group. <br><br> Note: If your organization has not yet been migrated to user group-based SCIM synchronization, a SCIM Group corresponds to a Miro team. In that case, refer to the legacy Miro SCIM API documentation.",
    "version": "1.0"
  },
  "x-settings": {
    "publish": true,
    "skip-tests": true
  },
  "tags": [
    {
      "name": "Discovery",
      "description": "SCIM service metadata endpoints (Schemas, ResourceTypes, ServiceProviderConfig)."
    }
  ],
  "servers": [
    {
      "url": "https://miro.com/api/v1/scim"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/ServiceProviderConfig": {
      "get": {
        "tags": [
          "Discovery"
        ],
        "description": "Retrieve supported operations and SCIM API basic configuration.",
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/scim+json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceProviderConfigResponse"
                },
                "example": {
                  "schemas": [
                    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
                  ],
                  "patch": {
                    "supported": true
                  },
                  "bulk": {
                    "supported": false
                  },
                  "filter": {
                    "supported": true,
                    "maxResults": 200
                  },
                  "changePassword": {
                    "supported": false
                  },
                  "sort": {
                    "supported": true
                  },
                  "etag": {
                    "supported": false
                  },
                  "authenticationSchemes": [
                    {
                      "type": "oauthbearertoken",
                      "name": "OAuth Bearer Token"
                    }
                  ]
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceProviderConfigResponse"
                },
                "example": {
                  "schemas": [
                    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
                  ],
                  "patch": {
                    "supported": true
                  },
                  "bulk": {
                    "supported": false
                  },
                  "filter": {
                    "supported": true,
                    "maxResults": 200
                  },
                  "changePassword": {
                    "supported": false
                  },
                  "sort": {
                    "supported": true
                  },
                  "etag": {
                    "supported": false
                  },
                  "authenticationSchemes": [
                    {
                      "type": "oauthbearertoken",
                      "name": "OAuth Bearer Token"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "operationId": "listServiceProviderConfigs",
        "summary": "Get Service Provider Config",
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "Get ServiceProviderConfig",
            "source": "curl -X GET 'https://api.miro.com/api/v1/scim/ServiceProviderConfig' \\\n  -H 'Authorization: Bearer <token>' \\\n  -H 'Content-Type: application/scim+json'"
          },
          {
            "lang": "javascript",
            "label": "Get ServiceProviderConfig (fetch)",
            "source": "const res = await fetch(\n  'https://api.miro.com/api/v1/scim/ServiceProviderConfig',\n  {\n    method: 'GET',\n    headers: {\n      'Authorization': 'Bearer <token>',\n      'Content-Type': 'application/scim+json'\n    },\n    // no body\n  }\n);\nconst data = await res.json();\nconsole.log(data);"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "status"
        ],
        "type": "object",
        "properties": {
          "schemas": {
            "type": "array",
            "description": "An array of URNs that identify the schema(s) that define the structure of this response. <br><br> In this case, it contains urn:ietf:params:scim:api:messages:2.0:Error, which indicates that this is a SCIM Error.",
            "items": {
              "type": "string",
              "example": "urn:ietf:params:scim:api:messages:2.0:Error"
            }
          },
          "status": {
            "type": "string",
            "description": "HTTP status code as string.",
            "example": 400
          },
          "scimType": {
            "type": "string",
            "description": "Property name or keyword associated with the error.",
            "example": "invalidFilter"
          },
          "detail": {
            "type": "string",
            "description": "A detailed human-readable message of the error.",
            "example": "Unexpected end of filter string"
          }
        },
        "description": "Information about the response error"
      },
      "ServiceProviderConfigResponse": {
        "type": "object",
        "properties": {
          "schemas": {
            "type": "array",
            "description": "An array of URNs that identify the schema(s) that define the structure of this response. <br><br> In this case, it contains urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig, which indicates that this is a SCIM ServiceProviderConfig response.",
            "items": {
              "type": "string",
              "example": "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
            }
          },
          "documentationUri": {
            "type": "string",
            "description": "A link to Miro SCIM documentation.",
            "example": "https://developers.miro.com/docs/scim"
          },
          "patch": {
            "type": "object",
            "description": "Indicator of whether the PATCH operation is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if the operation is supported.",
                "example": true
              }
            }
          },
          "bulk": {
            "type": "object",
            "description": "Indicator of whether the Bulk operation is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if the operation is supported.",
                "example": false
              },
              "maxOperations": {
                "type": "number",
                "description": "Maximum operations supported in a single request.",
                "example": 0
              },
              "maxPayloadSize": {
                "type": "number",
                "description": "Maximum payload size supported for a single request.",
                "example": 0
              }
            }
          },
          "filter": {
            "type": "object",
            "description": "Indicator of whether the Filter operation is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if the operation is supported.",
                "example": true
              },
              "maxResults": {
                "type": "number",
                "description": "Maximum results returned in a list response.",
                "example": 200
              }
            }
          },
          "changePassword": {
            "type": "object",
            "description": "Indicator of whether the Change Password operation is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if the operation is supported.",
                "example": false
              }
            }
          },
          "sort": {
            "type": "object",
            "description": "Indicator of whether the Sort operation is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if the operation is supported.",
                "example": true
              }
            }
          },
          "etag": {
            "type": "object",
            "description": "Indicator of whether ETag is supported.",
            "properties": {
              "supported": {
                "type": "boolean",
                "description": "Returns true if ETag is supported.",
                "example": false
              }
            }
          },
          "authenticationSchemes": {
            "type": "array",
            "description": "A list of supported authentication schemes.",
            "items": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "description": "Name of the authentication scheme.",
                  "example": "OAuth 2.0 Bearer Token"
                },
                "description": {
                  "type": "string",
                  "description": "Description of the authentication scheme.",
                  "example": "The OAuth 2.0 Bearer Token Authentication scheme. OAuth enables clients to access protected resources by obtaining an access token which is defined in RFC 6750 as a string representing an access authorization issued to the client rather than using the resource owner's credentials directly."
                },
                "specUri": {
                  "type": "string",
                  "description": "Specification URI of the authentication scheme.",
                  "example": "http://tools.ietf.org/html/rfc6750"
                },
                "type": {
                  "type": "string",
                  "description": "Type of the authentication scheme.",
                  "example": "oauthbearertoken"
                },
                "primary": {
                  "type": "boolean",
                  "description": "Returns true if this is the primary authentication scheme of the service provider.",
                  "example": true
                }
              }
            }
          }
        },
        "description": "Supported operations and SCIM API basic configuration."
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "responses": {
      "400": {
        "description": "Malformed request",
        "content": {
          "application/scim+json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "401": {
        "description": "Invalid authentication credentials",
        "content": {
          "application/scim+json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "403": {
        "description": "Invalid access",
        "content": {
          "application/scim+json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "404": {
        "description": "Not Found",
        "content": {
          "application/scim+json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "application/scim+json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    }
  }
}
```

# Sibling pages

* [List resource types](https://developers.miro.com/miro-ea/reference/listresourcetypes.md)
* [Get resource type](https://developers.miro.com/miro-ea/reference/getresourcetype.md)
* [List schemas](https://developers.miro.com/miro-ea/reference/listschemas.md)
* [Get schema](https://developers.miro.com/miro-ea/reference/getschema.md)